<!DOCTYPE html>
<!-- FIX mithilfe eines DOMContentLoaded Listeners. Dieser wird getriggert wenn 
alle Elemente im DOM geladen sind -->
<html>
	<head>
		<meta charset="UTF-8">
		<title> JS can find element </title>
		<script type="text/javascript">
			document.addEventListener("DOMContentLoaded", function(event){
				try{
					document.getElementById("text").innerHTML = "Text override works!";
				}
				catch(e){
					console.error(e);
					alert("Konnte Element nicht überschreiben. Siehe Console");
				}
			});
		</script>
	</head>
	<body>
		<p id="text">-</p>
		<br>
		<p style="color: green;">p#text kann gefunden werden, da die Funktion, welche das Element ändert, mit dem Callback darauf wartet.</p>
	</body>
</html>